Bug 1794828 - [buildcop] [Serial] [Feature:OAuthServer] [RequestHeaders] [IdP] test RequestHeaders IdP [Suite:openshift/conformance/serial]
Summary: [buildcop] [Serial] [Feature:OAuthServer] [RequestHeaders] [IdP] test Request...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.4
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Stefan Schimanski
QA Contact: scheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-24 19:35 UTC by Cesar Wong
Modified: 2020-05-04 11:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:26:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:27:10 UTC

Description Cesar Wong 2020-01-24 19:35:51 UTC
Description of problem:

e2e test is failing with:

STEP: /authorize - challenging-client - valid cert: we should eventually get access token in Location header
STEP: /metrics - token: requires user authorized to access the endpoint
[AfterEach] [Serial] [Feature:OAuthServer] [RequestHeaders] [IdP]
  /go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/test/extended/util/client.go:101
STEP: Collecting events from namespace "e2e-test-request-headers-87mjd".
STEP: Found 0 events.
Jan 24 18:39:40.960: INFO: POD  NODE  PHASE  GRACE  CONDITIONS
Jan 24 18:39:40.960: INFO: 
Jan 24 18:39:40.969: INFO: skipping dumping cluster info - cluster too large
Jan 24 18:39:40.984: INFO: Deleted {user.openshift.io/v1, Resource=users  e2e-test-request-headers-87mjd-user}, err: <nil>
Jan 24 18:39:40.996: INFO: Deleted {oauth.openshift.io/v1, Resource=oauthclients  e2e-client-e2e-test-request-headers-87mjd}, err: <nil>
Jan 24 18:39:41.009: INFO: Deleted {oauth.openshift.io/v1, Resource=oauthaccesstokens  vlpgAwh1Rq-hn4Y6wkPN2wAAAAAAAAAA}, err: <nil>
[AfterEach] [Serial] [Feature:OAuthServer] [RequestHeaders] [IdP]
  /go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/kubernetes/test/e2e/framework/framework.go:155
Jan 24 18:39:41.009: INFO: Waiting up to 7m0s for all (but 100) nodes to be ready
STEP: Destroying namespace "e2e-test-request-headers-87mjd" for this suite.
Jan 24 18:39:41.039: INFO: Running AfterSuite actions on all nodes
Jan 24 18:39:41.039: INFO: Running AfterSuite actions on node 1
fail [github.com/openshift/origin/test/extended/oauth/requestheaders.go:226]: full response header: HTTP/1.1 401 Unauthorized
Content-Length: 129
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Content-Type: application/json
Date: Fri, 24 Jan 2020 18:39:40 GMT
Expires: 0
Pragma: no-cache
Referrer-Policy: strict-origin-when-cross-origin
X-Content-Type-Options: nosniff
X-Dns-Prefetch-Control: off
X-Frame-Options: DENY
X-Xss-Protection: 1; mode=block



Expected
    <int>: 401
to equal
    <int>: 403


https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-origin-installer-e2e-gcp-serial-4.4/1051

Comment 1 Standa Laznicka 2020-01-29 13:11:07 UTC
fixed in https://github.com/openshift/origin/pull/24461

Comment 5 errata-xmlrpc 2020-05-04 11:26:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.